Updates a Deployment Target
Updates a Deployment Target.
curl --request PATCH \
--url https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId} \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"configuration": {
"credentials": {
"account": 1234,
"credentials": "AWS_ACCESS_KEY_ID: 1234\nAWS_SECRET_ACCESS_KEY: itsasecret\n"
},
"sagemaker": {
"ecrUrl": "anURL",
"region": "us-east-1",
"sagemakerS3ModelsBucket": "domino-sagemaker"
}
},
"isGloballyAccessible": true,
"name": "Production",
"resourceConfigurations": [
{
"configuration": {
"instance_type": "m5.large"
},
"description": "<string>",
"id": "<string>",
"isDefault": true,
"name": "gpu_large"
}
],
"userAndOrganizationIds": [
"<string>"
]
}
'import requests
url = "https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}"
payload = {
"configuration": {
"credentials": {
"account": 1234,
"credentials": "AWS_ACCESS_KEY_ID: 1234
AWS_SECRET_ACCESS_KEY: itsasecret
"
},
"sagemaker": {
"ecrUrl": "anURL",
"region": "us-east-1",
"sagemakerS3ModelsBucket": "domino-sagemaker"
}
},
"isGloballyAccessible": True,
"name": "Production",
"resourceConfigurations": [
{
"configuration": { "instance_type": "m5.large" },
"description": "<string>",
"id": "<string>",
"isDefault": True,
"name": "gpu_large"
}
],
"userAndOrganizationIds": ["<string>"]
}
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
configuration: {
credentials: {
account: 1234,
credentials: 'AWS_ACCESS_KEY_ID: 1234\nAWS_SECRET_ACCESS_KEY: itsasecret\n'
},
sagemaker: {
ecrUrl: 'anURL',
region: 'us-east-1',
sagemakerS3ModelsBucket: 'domino-sagemaker'
}
},
isGloballyAccessible: true,
name: 'Production',
resourceConfigurations: [
{
configuration: {instance_type: 'm5.large'},
description: '<string>',
id: '<string>',
isDefault: true,
name: 'gpu_large'
}
],
userAndOrganizationIds: ['<string>']
})
};
fetch('https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"configuration": {
"credentials": {
"account": 1234,
"credentials": "vault-secret-name"
},
"sagemaker": {
"ecrUrl": "399181051250.dkr.ecr.us-east-1.amazonaws.com/rf-regression-juno:mlflow",
"executionRoleArn": "arn:aws:iam::1234567890:role/service-role/AmazonSageMaker-ExecutionRole",
"region": "us-east-1",
"sagemakerS3ModelsBucket": "domino-sagemaker"
}
},
"deploymentTargetTypeId": 0,
"deploymentTargetTypeName": "AWS",
"id": 1,
"name": "Local Dataplane Sagemaker",
"resourceConfigurations": [
{
"configuration": {
"instanceType": "m7g.medium"
},
"deploymentTargetId": 1,
"description": "Medium AWS Instance",
"id": 2,
"name": "Medium"
},
{
"configuration": {
"instanceType": "m7g.large"
},
"deploymentTargetId": 1,
"description": "Large AWS Instance",
"id": 3,
"name": "Large"
}
],
"userAndOrganizationIds": []
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
ID of Deployment Target
Body
Details of the Deployment Target to create
Deployment Target update request
Configuration of this Deployment Target following the schema in its Deployment Target Type
{
"credentials": {
"account": 1234,
"credentials": "AWS_ACCESS_KEY_ID: 1234\nAWS_SECRET_ACCESS_KEY: itsasecret\n"
},
"sagemaker": {
"ecrUrl": "anURL",
"region": "us-east-1",
"sagemakerS3ModelsBucket": "domino-sagemaker"
}
}
Whether or not the Deployment Target is globally accessible
Internal name for the Deployment Target
"Production"
Updated Resource Configurations - updates existing resource configurations for values with specified id fields - creates new resource configurations for values without specified id fields - deletes existing resource configurations not specified in the array
Show child attributes
Show child attributes
User and Organization IDs that can use this Deployment Target
Response
Success
Deployment Target
Configuration of this Deployment Target following the schema in its Deployment Target Type
ID of the Deployment Target Type this Deployment Target belongs to
Name of the Deployment Target Type this Deployment Target belongs to
UUID for the Deployment Target
Whether or not the Deployment Target is globally accessible
Timestamp of the last update to the deployment target (will be the creation timestamp on creation)
Internal name for the Deployment Target
"Production"
User and Organization IDs that can use this Deployment Target
The ID of the default resource configuration
Show child attributes
Show child attributes
Related topics
Gets a Deployment TargetUpdate a Model DeploymentCreates a new Deployment TargetGets all non-archived Deployment Targets based on the provided filtersWas this page helpful?
